# ReflectionParameter::allowsNull

(PHP 5, PHP 7)

ReflectionParameter::allowsNull — Checks if null is allowed

### Description

public ReflectionParameter::allowsNull ( void ) : bool

Checks whether the parameter allows `NULL`.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if `NULL` is allowed, otherwise `FALSE`

### See Also

- ReflectionParameter::isOptional() - Checks if optional